# Class SequenceNumberEntry

#### Hierarchy

- unknown
  - SequenceNumberEntry

- Defined in src/protobuf/pb_pb.d.ts:5509
- Defined in src/protobuf/pb_pb.d.ts:5528

#####
Index

### Constructors

constructor

### Methods

clearBytes
clearMapValue
getBytes
getMapValue
hasBytes
hasMapValue
serializeBinary
setBytes
setMapValue
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SequenceNumberEntry(): SequenceNumberEntry

- #### Returns SequenceNumberEntry

  Inherited from jspb.Message.constructor

## Methods

### clearBytes

- clearBytes(): SequenceNumberEntry

- #### Returns SequenceNumberEntry

  - Defined in src/protobuf/pb_pb.d.ts:5513

### clearMapValue

- clearMapValue(): SequenceNumberEntry

- #### Returns SequenceNumberEntry

  - Defined in src/protobuf/pb_pb.d.ts:5518

### getBytes

- getBytes(): undefined | ByteArray

- #### Returns undefined | ByteArray

  - Defined in src/protobuf/pb_pb.d.ts:5510

### getMapValue

- getMapValue(): undefined | MapValue

- #### Returns undefined | MapValue

  - Defined in src/protobuf/pb_pb.d.ts:5515

### hasBytes

- hasBytes(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5512

### hasMapValue

- hasMapValue(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:5517

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5520

### setBytes

- setBytes(value?: ByteArray): SequenceNumberEntry

- #### Parameters

  - ##### `Optional` value: ByteArray

  #### Returns SequenceNumberEntry

  - Defined in src/protobuf/pb_pb.d.ts:5511

### setMapValue

- setMapValue(value?: MapValue): SequenceNumberEntry

- #### Parameters

  - ##### `Optional` value: MapValue

  #### Returns SequenceNumberEntry

  - Defined in src/protobuf/pb_pb.d.ts:5516

### toObject

- toObject(includeInstance?: boolean): SequenceNumberEntry.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SequenceNumberEntry.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5521

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SequenceNumberEntry

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SequenceNumberEntry

  - Defined in src/protobuf/pb_pb.d.ts:5524

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SequenceNumberEntry, reader: BinaryReader): SequenceNumberEntry

- #### Parameters

  - ##### message: SequenceNumberEntry

  - ##### reader: BinaryReader

  #### Returns SequenceNumberEntry

  - Defined in src/protobuf/pb_pb.d.ts:5525

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SequenceNumberEntry, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SequenceNumberEntry

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5523

### `Static` toObject

- toObject(includeInstance: boolean, msg: SequenceNumberEntry): SequenceNumberEntry.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SequenceNumberEntry

  #### Returns SequenceNumberEntry.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5522

Generated using TypeDoc